package com.onsemi.middleware.UECommon.model;

import java.util.Optional;



/**
 * Jndi bean for Db connection
 *  
 * @author Antonin Brettsnajdr
 */
public class ConnectionJndiBeanDb extends ConnectionJndiBean  {

	private static final long serialVersionUID = -2924511077988582996L;

	private String batchTypeConfig;

	private String archive = "N";

	public ConnectionJndiBeanDb() {
	}
	
	@Override
    public Optional<Class<? extends ConnectionBean>> getRelatedConnectionClass() {
    	return Optional.of(ConnectionBeanDb.class);
    }

	public String getBatchTypeConfig() {
		return batchTypeConfig;
	}

	public void setBatchTypeConfig(String batchTypeConfig) {
		this.batchTypeConfig = batchTypeConfig;
	}

	public String getArchive() {
		return archive;
	}

	public void setArchive(String archive) {
		this.archive = archive;
	}
}
